Storing Article Views POST

The Dynamic Health POST /v1/user/store-article-views endpoint stores one or more sets of viewing information for the user. These sets of viewing information can later be used by the caller to show recent activity for that user. Before you can execute a store article views call, you must have a personalized access token for the authorization request header. The user ID and product family will be obtained from the token.

Basic Store Article Views

Request

POST https://apis.ebsco.com/medsapi-dynamic-health/v1/user/article-views

Request Body

{
"items": [
    {
     "article": {
         "id": "T116388",
         "title": "Acute Lymphoblastic Leukemia/Lymphoma (ALL)",
         "section": {
            "title": ""
         }
      },
      "eventType": "OPEN_ITEM",
      "prevSearchTerm": "",
      "timestamp": "2020-10-19T19:04:03Z"
    }
  ]
}

Response

content-length: 0 
date: Tue, 20 Oct 2020 19:10:42 GMT

Request Body

FieldDescription
article.idThe id of the article that is being updated.
titleThe title of the article.
sectionSection of the article that was viewed.
eventTypeType of event that is being added. Please use one of the following : OPEN_ITEM, CLOSE_ITEM, or OPEN_SECTION.
prevSearchTermSearch term last executed by the user, if any.
timestampUTC date and time when the event occurred.

Error Response Codes

The Dynamic Health POST article views endpoint can return one of the error response codes.